Subject: Re: [PATCH 13/14] powerpc: add ps3 platform system bus support

From: Arnd Bergmann <[email-masked]>
Date: Wed, 2 May 2007 01:39:22 +0200

On Tuesday 01 May 2007, David Woodhouse wrote:
> I have no particular objection to this, but would observe that it's more
> normal to have the number->name mapping done in userspace by modprobe,
> rather than inside the kernel.

I have one ;-)

> For now I'd just added explicit aliases like 'MODULE_ALIAS("ps3:3");' to
> the modules in question, because I hadn't yet worked out how to do all
> the mod_devicetable stuff to pick it out of the match_id in the driver
> structure.

I think the simple numbering is far more straightforward, because this
way the bus doesn't need to know about what devices can be connected
to it. The way that Olaf's patch does it, every new device type that
may get added in the future needs both a device driver and a change to
the bus code, while the other way, we can simply add a new driver.

	Arnd <><